<template>
  <v-dialog
    width="50%"
    height="auto"
    v-model="selectedValue"
    name="edit_client_receipt"
  >
    <v-card>
      <v-card-title class="light"
        >A jeni të sigurtë për fshirjen e mandatit ?</v-card-title
      >
      <v-card-actions>
        <v-spacer />
        <f-cancel-btn @click="selectedValue = false" />
        <f-submit-btn
          @click="deleteReceipt"
          :loading="loading"
          :disabled="loading"
        />
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../../../plugins/api'
import { Component, Prop } from 'vue-property-decorator'
import eventBus from '../../../../plugins/event-bus'
import FSubmitBtn from '../../../../components/buttons/FSubmitBtn.vue'
import FCancelBtn from '../../../../components/buttons/FCancelBtn.vue'

@Component({
  components: { FSubmitBtn, FCancelBtn },
})
export default class DeleteClientReceipt extends Vue {
  @Prop({ required: true }) value
  @Prop({ type: Object }) receipt
  loading = false
  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  deleteReceipt() {
    const id = this.receipt.id
    this.loading = true

    api()
      .delete(`/api/account-management/receipts/${id}`)
      .then(response => {
        alert(response.data.message)
        this.selectedValue = false
        eventBus.$emit('refresh')
      })
      .catch(error => {
        alert(error.message)
      })
      .finally(() => {
        this.loading = false
      })
  }
}
</script>
